Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 5.0.0   

Resolution: Fixed Affected version: 4.2.3

Description

Currently the MailHandlerController passes an instance of ActionController::Parameters to the MailHandler. The options holds a

duplicate ActionController::Parameters of the Controller params.

This can cause difficulties in later processing. We propose explicitly permit-ing the params that will be used later and using a Hash

for the options.

Associated revisions

Revision 21464 - 2022-03-18 19:42 - Marius BĂLTEANU

Avoid passing ActionController::Parameters outside of MailHandlerController (#36394).

Patch by Felix Schäfer.

History

#1 - 2022-01-06 17:01 - Felix Schäfer

I have forgotten to add a link to the source code source:/trunk/app/controllers/mail_handler_controller.rb@21350#L31

#2 - 2022-01-06 17:03 - Felix Schäfer

- File 36394-mail_handler_controller_permit_parameters.patch added

The attached patch allows all options set by rdm-mailhandler.rb source:/trunk/extra/mail_handler/rdm-mailhandler.rb@21350#L156. This will need to

be kept in sync, so maybe adding a comment on both sides will make it easier to remember to add new options to the other side too.

#3 - 2022-01-17 02:50 - Go MAEDA

- File 36394-mail_handler_controller_permit_parameters-v2.patch added

- Target version set to Candidate for next major release

Felix Schäfer wrote:

The attached patch allows all options set by rdm-mailhandler.rb source:/trunk/extra/mail_handler/rdm-mailhandler.rb@21350#L156. This will

need to be kept in sync, so maybe adding a comment on both sides will make it easier to remember to add new options to the other side too.

 Updated the patch to add a comment on app/controllers/mail_handler_controller.rb and extra/mail_handler/rdm-mailhandler.rb.

#4 - 2022-01-21 01:11 - Go MAEDA

- Category changed from Email receiving to Code cleanup/refactoring

- Target version changed from Candidate for next major release to 5.0.0

Setting the target version to 5.0.0.

#5 - 2022-03-18 19:43 - Marius BĂLTEANU

- Status changed from New to Resolved

- Assignee set to Marius BĂLTEANU

- Resolution set to Fixed
https://www.redmine.org/projects/redmine/repository/svn/revisions/21350/entry/trunk/app/controllers/mail_handler_controller.rb#L31
https://www.redmine.org/projects/redmine/repository/svn/revisions/21350/entry/trunk/extra/mail_handler/rdm-mailhandler.rb#L156
https://www.redmine.org/projects/redmine/repository/svn/revisions/21350/entry/trunk/extra/mail_handler/rdm-mailhandler.rb#L156


Patch committed, thanks!

#6 - 2022-03-18 23:00 - Marius BĂLTEANU

- Status changed from Resolved to Closed

Files

36394-mail_handler_controller_permit_parameters.patch 979 Bytes 2022-01-06 Felix Schäfer

36394-mail_handler_controller_permit_parameters-v2.patch 1.77 KB 2022-01-17 Go MAEDA
